CodeIgniter Forums
PHP 5 - Printable Version

+- CodeIgniter Forums (https://forum.codeigniter.com)
+-- Forum: Archived Discussions (https://forum.codeigniter.com/forum-20.html)
+--- Forum: Archived General Discussion (https://forum.codeigniter.com/forum-21.html)
+--- Thread: PHP 5 (/thread-29693.html)



PHP 5 - El Forum - 04-18-2010

[eluser]Ajaxian64[/eluser]
Hi all,
Maybe my question is stupid. sorry If so.
I've used CI since one year now, always with PHP 4.
And I wonder if CI with its actual vesion is able to deal with PHP 5.
Do all features work in PHP 5.
Because when I'm searching PHP5 on CI UserGuide I see a page where it is clearly said that PHP 5 is not the main intend of CI.
Quote:CodeIgniter is written to be compatible with PHP 4.
Major OS vendors like RedHat are moving slowly to support PHP 5, and they are unlikely to do so in the short term, so we felt that it did not serve the best interests of the PHP community to write CodeIgniter in PHP 5
Is there a clear statement regarding this ?

Thanks


PHP 5 - El Forum - 04-18-2010

[eluser]pickupman[/eluser]
It does work with php 5. It's actually backwards compatible with php 4, and the next release CI 2.0 is deprecating support for php 4. You may find it runs faster on PHP 5. I currently am on 5.2.9.


PHP 5 - El Forum - 04-18-2010

[eluser]Ajaxian64[/eluser]
Happy am i
thanks